dvdisaster Version 0.70 | Zur Internet-Version

Inhalt
Überblick
Beispiele und Bildschirmfotos
· | Datenträger auf Lesefehler prüfen
· | Fehlerkorrektur-Daten erzeugen
| - | als Datei
| - | im Abbild
· | Beschädigten Datenträger einlesen
· | Datenträger-Abbild rekonstruieren
· | Informationen über Abbild und Fehlerkorrektur-Daten anzeigen
· | Einstellmöglichkeiten
· | Aufrufmöglichkeiten
Herunterladen
Fragen und Antworten
Hintergrundinformationen
|  | ### Abbild um Fehlerkorrektur-Daten erweitern Das RS02-Fehlerkorrektur-Verfahren ermöglicht es, Nutzdaten und Fehlerkorrektur-Daten auf dem gleichen Datenträger unterzubringen. Dazu müssen Sie das Abbild vor dem Brennen mit dvdisaster bearbeiten. Erzeugen Sie zunächst ein Abbild mit Ihrer Brennsoftware und legen es auf der Festplatte ab. Erweitern Sie danach das Abbild mit dvdisaster um Fehlerkorrektur-Informationen und brennen Sie das erweiterte Abbild schließlich auf einen Datenträger:
1. | Verwenden Sie eine handelsübliche Brennsoftware, um ein ISO- oder UDF-Abbild auf der Festplatte zu erzeugen. Andere Abbild-Typen führen zum Datenverlust! |
2. | Wählen Sie die erzeugte Abbild-Datei aus. | Das -Symbol öffnet die Dateiauswahl.
3. | Stellen Sie die Fehlerkorrektur nach Ihren Wünschen ein. Wählen Sie "Abspeichern in: Erweitertes Abbild (RS02)". |
4. | Erstellen Sie die Fehlerkorrektur-Daten durch Klick auf den "Erzeugen"-Knopf. |
5. | Verfolgen Sie den Fortschritt des Vorgangs. |
6. | Schreiben Sie das erweiterte Abbild mit Ihrer Brennsoftware auf einen Datenträger. |
Einige Brennprogramme sind mit den erweiterten Abbildern nicht kompatibel und beschädigen die Fehlerkorrektur-Daten. Führen Sie zumindest nach dem ersten Brennvorgang die nachfolgende Überprüfung durch.
1. | Wählen Sie das Laufwerk aus, in dem sich der gerade gebrannte Datenträger befindet. |
2. | Wählen Sie einen neuen Namen für die Abbild-Datei aus (also nicht den Namen des Abbildes, das Sie zum Brennen verwendet haben!) | Das -Symbol öffnet die Dateiauswahl.
3. | Beginnen Sie das Einlesen mit dem "Lesen"-Knopf. |
4. | Verfolgen Sie den Fortschritt des Lesevorgangs in der graphischen Darstellung. |
5. | Wenn das Einlesen beendet wurde, klicken Sie auf den "Vergleichen"-Knopf. Dies überprüft die Fehlerkorrektur-Informationen in dem zurückgelesenen Abbild. |
4. | Verfolgen Sie den Fortschritt des Vergleichs. Wenn der Vergleich ohne Fehlermeldungen beendet wird, ist Ihre Brennsoftware mit den erweiterten Abbildern kompatibel. |
### Abbild um Fehlerkorrektur-Daten erweitern (mit der Kommandozeile) Erstellen Sie ein Abbild mit den zu sichernden Daten. Verwenden Sie eine handelsübliche Brennsoftware, um ein ISO- oder UDF-Abbild auf der Festplatte zu erzeugen. Andere Abbild-Typen führen zum Datenverlust! Erweitern Sie das Abbild um die Fehlerkorrektur-Informationen. Dazu benötigen Sie die folgenden Parameter (Grundeinstellungen in Klammern):
-c/ --create | Fehlerkorrektur-Informationen hinzufügen
-m / --method | Fehlerkorrektur-Verfahren auswählen
-n / --redundancy | maximale Datenträger-Größe in Sektoren (Größe des kleinstmögl. Datenträgers)
Wenn Sie mit der Brennsoftware das Abbild "abbild.iso" erzeugt haben, geben Sie ein:
user@linux> dvdisaster -c -mRS02 -i abbild.iso dvdisaster-0.70 Copyright 2004-2006 Carsten Gnörlich. Dies ist freie Software; es gelten die Bedingungen der GNU GENERAL PUBLIC LICENSE aus dem Quelltext. Öffne abbild.iso: 284234 Datenträger-Sektoren. Erweitere Abbild mit dem RS02-Verfahren: 555M Daten, 143M Fehlerkorrektur-Daten (52 Nullstellen; 25.6% Redundanz) Berechne Sektoren-Prüfsummen: 100% Erweitere das Abbild: 100% Kodierungs-Fortschritt: 100.0% Das Abbild wurde um Fehlerkorrektur-Informationen erweitert. Die neue Abbild-Größe ist 357818 Sektoren.
Schreiben Sie das Abbild auf den Datenträger. Verwenden Sie die Brennsoftware, um das erweiterte Abbild auf den Datenträger zu schreiben. Einige Brennprogramme sind mit den erweiterten Abbildern nicht kompatibel und beschädigen die Fehlerkorrektur-Daten. Führen Sie zumindest nach dem ersten Brennvorgang die nachfolgende Überprüfung durch. Lesen Sie das Abbild nach dem Brennen mit dvdisaster wieder ein:
-r/ --read | Einlesen
-d / --device | Laufwerk auswählen (/dev/cdrom)
-i / --image | Abbild-Datei auswählen (medium.iso)
user@linux> dvdisaster -r -d/dev/hdc -i abbild-neu.iso dvdisaster-0.70 Copyright 2004-2006 Carsten Gnörlich. Dies ist freie Software; es gelten die Bedingungen der GNU GENERAL PUBLIC LICENSE aus dem Quelltext. Laufwerk: /dev/hdc, ATAPI DVD+RW 8X4X12 B2K7 Datenträger: Daten-CD Mode 1, 357818 Sektoren Erzeuge neues Abbild abbild-neu.iso. Warte 5 Sekunden auf das Hochdrehen des Laufwerks... Leseposition: 100.0% (35.1x) Alle Sektoren erfolgreich eingelesen.
Überprüfen Sie das Abbild:
-t/ --test | Abbild überprüfen
-i / --image | Abbild-Datei auswählen (medium.iso)
user@linux> dvdisaster -t -i abbild-neu.iso dvdisaster-0.70 Copyright 2004-2006 Carsten Gnörlich. Dies ist freie Software; es gelten die Bedingungen der GNU GENERAL PUBLIC LICENSE aus dem Quelltext. /dvd/abbild-neu.iso: vorhanden, enthält 357818 Datenträger-Sektoren. - gutes Abbild : Alle Sektoren vorhanden - Daten-md5sum : 4eca3615a88a11ba68466226295c4bcb Fehlerkorrektur-Daten: Erzeugt von dvdisaster-0.70 - Methode : RS02, 52 Nullstellen, 25.6% Redundanz. - Benötigt : dvdisaster-0.66 (gut) - Daten-md5sum : 4eca3615a88a11ba68466226295c4bcb (gut) - CRC-md5sum : 9776489c12e12cbabfe5145da4f6ae66 (gut) - Ecc-md5sum : e975aed39c962eeabedd9d6cbdbfc45e (gut)

Copyright 2004-2006 Carsten Gnörlich. Die unveränderte Wiedergabe und Verteilung dieses gesamten Textes in beliebiger Form ist gestattet, sofern dieser Hinweis erhalten bleibt.